AbstractGraph
Keywords: com.representqueens.web.tags.spark.AbstractGraph class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.representqueens.web.tags.spark
Class AbstractGraph

    java.lang.Object
      TagSupport
          com.representqueens.web.tags.spark.AbstractGraph

Direct Known Subclasses:
  AbstractServerGraph, BarGraph, LineGraph

    public abstract class AbstractGraph

extends TagSupport

Constructor Summary
`AbstractGraph()`

Method Summary
`protected java.lang.String` | `getBarGraphData()`
`java.lang.String` | `getColor()`
`protected java.lang.Number[]` | `getData()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getHighColor()`
`java.lang.String` | `getLastColor()`
`protected java.lang.String` | `getLineGraphData()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOutput()`
`protected Encoder.Format` | `getOutputFormat()`
`protected SizeParams` | `getSizeParams(SizeParams defaults)`
`java.lang.String` | `getSpacing()`
`java.lang.String` | `getWidth()`
`void` | `setColor(java.lang.String color)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHighColor(java.lang.String highColor)`
`void` | `setLastColor(java.lang.String lastColor)`
`void` | `setName(java.lang.String name)`
`void` | `setOutput(java.lang.String output)`
`void` | `setSpacing(java.lang.String spacing)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractGraph

    public AbstractGraph()

Method Detail

### getColor

    public java.lang.String getColor()

### setColor

    public void setColor(java.lang.String color)

### getHeight

    public java.lang.String getHeight()

### setHeight

    public void setHeight(java.lang.String height)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getOutput

    public java.lang.String getOutput()

### setOutput

    public void setOutput(java.lang.String output)

### getSpacing

    public java.lang.String getSpacing()

### setSpacing

    public void setSpacing(java.lang.String spacing)

### getWidth

    public java.lang.String getWidth()

### setWidth

    public void setWidth(java.lang.String width)

### getHighColor

    public java.lang.String getHighColor()

### setHighColor

    public void setHighColor(java.lang.String highColor)

### getLastColor

    public java.lang.String getLastColor()

### setLastColor

    public void setLastColor(java.lang.String lastColor)

### getBarGraphData

    protected java.lang.String getBarGraphData()
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLineGraphData

    protected java.lang.String getLineGraphData()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSizeParams

    protected SizeParams getSizeParams(SizeParams defaults)

### getData

    protected java.lang.Number[] getData()

### getOutputFormat

    protected Encoder.Format getOutputFormat()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD